<?php
  define(MILIEU,40);
  echo "Entrez le nombres de lignes : ";
  fscanf(STDIN,"%d",$N);
  
  for ($ligne=1 ; $ligne<$N+1 ; $ligne++)
  {
    // --- dessine MILIEU-ligne espaces ---
    for ($nbespaces=1 ; $nbespaces < MILIEU-$ligne+1 ; $nbespaces++)
        echo " " ;
    // --- dessine  (2*ligne)-1  etoiles ---
    for ($nbetoiles=1 ; $nbetoiles < (2*$ligne) ; $nbetoiles++)
        echo "*";
    // --- saut de lignes ---
    echo PHP_EOL;
  }
?>